#pragma once

#include "CoreMinimal.h"
#include "AIEnemyTracker_Killer.h"
#include "AIEnemyTracker_Killer_GhostFace.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEGHOSTFACE_API UAIEnemyTracker_Killer_GhostFace : public UAIEnemyTracker_Killer
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MaxRevealRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float AutomaticSeenRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float SurvivorVisionAngle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float RevealRange;

public:
	UAIEnemyTracker_Killer_GhostFace();
};

FORCEINLINE uint32 GetTypeHash(const UAIEnemyTracker_Killer_GhostFace) { return 0; }
